> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アーカイブを更新

> アーカイブを更新します。

アーカイブのAPIの詳細については、[Archive APIガイド](/guides/archives)を参照してください。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json PUT /archives/{archive_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /archives/{archive_id}:
    put:
      tags:
        - Archives
      summary: アーカイブを更新
      description: |-
        アーカイブを更新します。

        アーカイブのAPIの詳細については、[Archive APIガイド](/guides/archives)を参照してください。
      operationId: put_archives_id_v2025.0
      parameters:
        - name: archive_id
          in: path
          description: アーカイブのID。
          required: true
          schema:
            type: string
          example: '982312'
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  description: アーカイブの名前。
                  type: string
                  example: Some Archive
                description:
                  description: アーカイブの説明。
                  type: string
                  example: This is an archive for important documents.
      responses:
        '200':
          description: 更新されたアーカイブオブジェクトを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Archive'
        '400':
          description: 一部のパラメータが無効な場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーにアーカイブを更新するための適切な権限がない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: アーカイブが見つからない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '409':
          description: 指定した名前を持つアーカイブがすでに存在する場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '500':
          description: 予期しないサーバーエラーが発生した場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラーが発生した場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: アーカイブを更新
          source: |-
            curl -i -X PUT "https://api.box.com/2.0/archives/12345" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "name": "Some Archive Name",
                   "description": "Some Archive Description"
                 }'
        - lang: dotnet
          label: アーカイブを更新
          source: >-
            await client.Archives.UpdateArchiveByIdV2025R0Async(archiveId:
            archive.Id, requestBody: new UpdateArchiveByIdV2025R0RequestBody() {
            Name = newArchiveName, Description = newArchiveDescription });
        - lang: swift
          label: アーカイブを更新
          source: >-
            try await client.archives.updateArchiveByIdV2025R0(archiveId:
            archive.id, requestBody: UpdateArchiveByIdV2025R0RequestBody(name:
            newArchiveName, description: newArchiveDescription))
        - lang: java
          label: アーカイブを更新
          source: >-
            client.getArchives().updateArchiveByIdV2025R0(archive.getId(), new
            UpdateArchiveByIdV2025R0RequestBody.Builder().name(newArchiveName).description(newArchiveDescription).build())
        - lang: node
          label: アーカイブを更新
          source: |-
            await client.archives.updateArchiveByIdV2025R0(archive.id, {
              requestBody: {
                name: newArchiveName,
                description: newArchiveDescription,
              } satisfies UpdateArchiveByIdV2025R0RequestBody,
            } satisfies UpdateArchiveByIdV2025R0OptionalsInput);
        - lang: python
          label: アーカイブを更新
          source: |-
            client.archives.update_archive_by_id_v2025_r0(
                archive.id, name=new_archive_name, description=new_archive_description
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    Archive:
      description: >-
        アーカイブとは、冗長なコンテンツ、古くなったコンテンツ、または重要でないコンテンツの保存専用のフォルダです。アーカイブ内のコンテンツには、その所有者とコラボレータはアクセスできません。この機能を使用するには、Boxアプリケーションに対してGCMスコープをリクエストする必要があります。
      type: object
      properties:
        id:
          description: アーカイブを表す一意の識別子。
          type: string
          example: '12345'
          nullable: false
        type:
          description: 値は常に`archive`になります。
          type: string
          example: archive
          enum:
            - archive
          nullable: false
        name:
          description: >-
            アーカイブの名前。


            アーカイブ名には、印刷不可能なASCII文字、スラッシュ、バックスラッシュ (`/`、`\`)
            を含む名前、末尾にスペースを含む名前、`.`および`..`という名前は使用できないという制限が適用されます。
          type: string
          example: Archive
          maxLength: 100
          minLength: 1
          nullable: false
        size:
          description: アーカイブのサイズ (バイト単位)。
          type: integer
          format: int64
          example: 123456789
          nullable: false
        description:
          description: アーカイブの説明。
          type: string
          example: This is an archive for important documents.
          maxLength: 255
          minLength: 0
          nullable: true
        owned_by:
          description: アーカイブを所有するユーザーについて説明している、アーカイブAPIレスポンスの部分。
          type: object
          example:
            id: '12345'
            type: user
          properties:
            id:
              description: アーカイブを所有するユーザーを表す一意の識別子。
              type: string
              example: '12345'
              nullable: false
            type:
              description: 値は常に`user`になります。
              type: string
              example: user
              nullable: false
          required:
            - id
            - type
      required:
        - id
        - type
        - name
        - size
      title: Archive
      x-box-resource-id: archive_v2025.0
      x-box-tag: archives
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````